Patch update
curl --request PATCH \
--url https://api.debbiecollect.com/v1/{tenantId}/updates/{updateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"continuedAt": "2024-05-01 00:00:00.000+01"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/updates/{updateId}"
payload = { "continuedAt": "2024-05-01 00:00:00.000+01" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({continuedAt: '2024-05-01 00:00:00.000+01'})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/updates/{updateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Updates
Patch update
Patch an existing update
PATCH
/
v1
/
{tenantId}
/
updates
/
{updateId}
Patch update
Authorizations
Authentication can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}.
Path Parameters
Id of the tenant the update is related to
Id of the update
Body
application/json
Patch update object
Date where the update should be continued
Response
Successful operation
The response is of type object.
⌘I